Catalyst broken in Ubuntu 11.04?

Jérôme Étévé jerome.eteve at
Sun Aug 7 16:50:20 BST 2011


I'm running a fresh ubuntu 11.04 with the system's catalyst and catalyst-devel.

I get the following error when I run

Couldn't load class (Catalyst::Exception::Basic) because: Can't use an
undefined value as a HASH reference at
line 45.
Compilation failed in require at /usr/lib/perl5/Class/ line 114.

I bet this is a known issue. Should I install catalyst in my
local::lib or is there a system wide fix?



Jerome Eteve.

More information about the mailing list